MessageFormatter::getErrorMessage
MessageFormatter::getPattern
MessageFormatter
PHP Manual

# MessageFormatter::getLocale

# msgfmt_get_locale

(No version information available, might be only in CVS)

MessageFormatter::getLocale -- msgfmt_get_locale — Get the locale for which the formatter was created.

### Description

Object oriented style

string MessageFormatter::getLocale ( void )

Procedural style

string msgfmt_get_locale ( NumberFormatter `$formatter` )

Get the locale for which the formatter was created.

### Parameters

`formatter`

  The formatter resource

### Return Values

The locale name

### Examples

Example #1 msgfmt_get_locale() example

`<?php
$fmt = msgfmt_create('en_US', "Number {0,number}");
echo msgfmt_get_locale($fmt);
?>`

Example #2 OO example

`<?php
$fmt = new MessageFormatter('en_US', "Number {0,number}");
echo $fmt->getLocale();
?>`

The above example will output:

    en_US

### See Also

- msgfmt_create()

MessageFormatter::getErrorMessage
MessageFormatter::getPattern
MessageFormatter
PHP Manual